import { EftposEnum } from "./const.js";
import const_default from "./payo/const.js";
import const_default$1 from "./tyro/const.js";
import const_default$2 from "./windcave/const.js";
import const_default$3 from "./linkly/const.js";
import const_default$4 from "./mx51/const.js";
import const_default$5 from "./huifu/const.js";
import getAdyenInitState from "./adyenPos/const.js";
import getAdyenScanInitState from "./adyenScan/const.js";
import "./helper.js";
import "./payo/index.js";
import "./windcave/windcave.js";
import "./tyro/index.js";
import "./linkly/index.js";
import "./mx51/index.js";
import "./huifu/index.js";
import "./adyenPos/index.js";
import "./adyenScan/index.js";
//#region src/components/eftposPay/manufacturer.tsx
const getInitState = (type, params) => {
	console.log("type = ", type);
	switch (type) {
		case EftposEnum.Payo: return const_default(params);
		case EftposEnum.Windcave: return const_default$2(params);
		case EftposEnum.Tyro: return const_default$1(params);
		case EftposEnum.Linkly: return const_default$3(params);
		case EftposEnum.MX51: return const_default$4(params);
		case EftposEnum.Huifu: return const_default$5(params);
		case EftposEnum.AdyenPos: return getAdyenInitState(params);
		case EftposEnum.AdyenAlipay:
		case EftposEnum.AdyenWechat: return getAdyenScanInitState(params, type);
		default: throw new Error("未知的厂商类型");
	}
};
//#endregion
export { getInitState };
